Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class ResourceRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.html.ResourceRenderer

Direct Known Subclasses:
  ResourceLibraryRenderer, ScriptsRenderer

    public abstract class ResourceRenderer

extends javax.faces.render.Renderer

Constructor Summary
`ResourceRenderer()`

Method Summary
`protected void` | `encodeDependentResources(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Collection<Object> scripts)`
`protected void` | `encodeResource(javax.faces.component.UIComponent component, javax.faces.context.FacesContext context, org.richfaces.resource.ResourceKey resource)`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, encodeBegin, encodeChildren, encodeEnd, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceRenderer

    public ResourceRenderer()

Method Detail

### encodeDependentResources

    protected void encodeDependentResources(javax.faces.context.FacesContext context,
                                            javax.faces.component.UIComponent component,
                                            Collection<Object> scripts)
                                     throws IOException

  Throws:
    `IOException`

### encodeResource

    protected void encodeResource(javax.faces.component.UIComponent component,
                                  javax.faces.context.FacesContext context,
                                  org.richfaces.resource.ResourceKey resource)
                           throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.